# permissions for end users to view issuers.
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  labels:
    app.kubernetes.io/name: clusterrole
    app.kubernetes.io/instance: issuer-viewer-role
    app.kubernetes.io/component: rbac
    app.kubernetes.io/created-by: gitlab-runner-operator
    app.kubernetes.io/part-of: gitlab-runner-operator
    app.kubernetes.io/managed-by: kustomize
  name: issuer-viewer-role
rules:
- apiGroups:
  - gitlab.stammkneipe.dev
  resources:
  - issuers
  verbs:
  - get
  - list
  - watch
- apiGroups:
  - gitlab.stammkneipe.dev
  resources:
  - issuers/status
  verbs:
  - get
